Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.socket.deflate
Class HybridCompressingOutputStream

    java.lang.Object
      java.io.OutputStream
          edu.stanford.smi.protege.server.socket.deflate.CompressingOutputStream
              edu.stanford.smi.protege.server.socket.deflate.HybridCompressingOutputStream

All Implemented Interfaces:
  Closeable, Flushable

    public class HybridCompressingOutputStream

extends CompressingOutputStream

doesn't work - fix the two broken junits.

Field Summary
`static int` | `TOO_SMALL_TO_COMPRESS`

Fields inherited from class edu.stanford.smi.protege.server.socket.deflate.CompressingOutputStream
`buffer, BUFFER_SIZE, COMPRESSION_PAD, KB, offset, os`

Constructor Summary
`HybridCompressingOutputStream(OutputStream os)`

Method Summary
`void` | `flush()`

Methods inherited from class edu.stanford.smi.protege.server.socket.deflate.CompressingOutputStream
`logPacket, write`

Methods inherited from class java.io.OutputStream
`close, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOO_SMALL_TO_COMPRESS

    public static int TOO_SMALL_TO_COMPRESS

Constructor Detail

### HybridCompressingOutputStream

    public HybridCompressingOutputStream(OutputStream os)

Method Detail

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `CompressingOutputStream`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.